I don't have python-fu in GIMP

I can’t know where is the problem. I tried reinstalling gimp but nothing happened.

    pacman -Qi python
Name            : python
Version         : 3.9.1-1
Description     : Next generation of the python high-level scripting language
Architecture    : x86_64
Licenses        : custom
Groups          : None
Provides        : python3
Depends On      : bzip2  expat  gdbm  libffi  libnsl  libxcrypt  openssl  zlib
Optional Deps   : python-setuptools [installed]
                  python-pip [installed]
                  sqlite [installed]
                  mpdecimal: for decimal
                  xz: for lzma [installed]
                  tk: for tkinter [installed]
Required By     : acpilight  aircrack-ng  apm  asciidoc  ceph-libs  devilspy
                  flatpak  gdb  gdb-common  glslang  gstreamer  gufw  inkscape
                  libbytesize  libixion  libreoffice-still
                  manjaro-application-utility  menulibre  mono  mugshot
                  node-gyp  pacman-mirrors  patchutils  pcsclite
                  python-appdirs  python-asn1crypto  python-attrs  python-cairo
                  python-capstone  python-click  python-colorama
                  python-contextlib2  python-dbus  python-distlib
                  python-distro  python-distutils-extra  python-docopt
                  python-future  python-gobject  python-idna
                  python-jade-application-kit  python-keyutils  python-lockfile
                  python-lxml  python-more-itertools  python-msgpack
                  python-npyscreen  python-ordered-set  python-pefile
                  python-pexpect  python-pillow  python-ply  python-progress
                  python-psutil  python-ptyprocess  python-pycryptodome
                  python-pycups  python-pycurl  python-pyopenssl
                  python-pyparsing  python-pyqt5-sip  python-pytoml
                  python-pyxdg  python-reportlab  python-resolvelib
                  python-shiboken2  python-sip  python-sip-pyqt5  python-six
                  python-toml  python-urllib3  python-webencodings  python-yaml
                  python-zipp  samba  smbclient  udiskie  ufw  veil  virtualbox
Optional For    : android-tools  btrfs-progs  git  glib2  graphviz  gupnp
                  ki18n  ldb  lensfun  libevent  libftdi  libnewt  libproxy
                  lilv  lirc  net-snmp  nfs-utils  openexr  postgresql
                  qbittorrent  subversion  talloc  tdb  tevent  usbutils
                  util-linux  vim  vim-runtime  volume_key  xfsprogs  zbar
Conflicts With  : None
Replaces        : python3
Installed Size  : 79.38 MiB
Packager        : Felix Yan <felixonmars@archlinux.org>
Build Date      : Sun 13 Dec 2020 01:55:53 PM EET
Install Date    : Mon 04 Jan 2021 10:49:30 AM EET
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
    pacman -Qi gimp
Name            : gimp
Version         : 2.10.22-1
Description     : GNU Image Manipulation Program
Architecture    : x86_64
Licenses        : GPL  LGPL
Groups          : None
Provides        : None
Depends On      : babl  dbus-glib  desktop-file-utils  gegl  glib-networking
                  hicolor-icon-theme  openjpeg2  lcms2  libheif  libexif
                  libgudev  libmng  libmypaint  librsvg  libwebp  libwmf
                  libxmu  libxpm  mypaint-brushes1  openexr  poppler-data  gtk2
Optional Deps   : gutenprint: for sophisticated printing only as gimp has
                  built-in cups print support
                  poppler-glib: for pdf support [installed]
                  alsa-lib: for MIDI event controller module [installed]
                  curl: for URI support [installed]
                  ghostscript: for postscript support [installed]
Required By     : None
Optional For    : None
Conflicts With  : gimp-plugin-wavelet-decompose
Replaces        : gimp-plugin-wavelet-decompose
Installed Size  : 111.34 MiB
Packager        : Christian Hesse <arch@eworm.de>
Build Date      : Sun 04 Oct 2020 10:15:11 PM EEST
Install Date    : Sun 24 Jan 2021 04:06:35 PM EET
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature

Thanks in advance.

From Pamac UI look for python2-gimp or from CLI run:
pamac build python2-gimp

Once it finishes then start/restart GIMP and you will have the Python-Fu menu entry enabled under Filters.
By the way, python2 support was dropped upstream some time ago, that is why is not there by default.

Thank you so much @bogdancovaciu .

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.